All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.events.broker
Interface ListenerInterface

All Superinterfaces:
  java.rmi.Remote

Deprecated. As of release 9.3, replaced by SAS Midtier Eventing Architecture.

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface ListenerInterface

extends java.rmi.Remote

Interface to handle events that are forwarded by a platform `Event Broker service`.

## Usage

This interface must be implemented by dynamic listener applications that wish to register themselves with a platform Event Broker service. via the `ListenerRegisterInterface`.

Since:
  1.0

Method Summary
`abstract void` | `handleEvent(MessageInterface message, ResponseHandlerInterface responseHandler)` Deprecated. Listeners handle events that are sent from an platform Event Broker service.

Method Detail

### handleEvent

    void handleEvent(MessageInterface message,
                     ResponseHandlerInterface responseHandler)
                     throws java.rmi.RemoteException

  Deprecated.
  Listeners handle events that are sent from an platform Event Broker service. The incoming event is presented to the listener as a `message`.

  Parameters:
    `message` - Message forwarded from a platform Event Broker service.
    `responseHandler` - Interface used to send responses back to the broker's response handler.
  Throws:
    `java.rmi.RemoteException` - if a network anomaly occurs.
  See Also:
    `MessageInterface`, `ResponseHandlerInterface`

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.